.\" Man page generated from reStructeredText.
.
.TH CLOUDTASK-LAUNCH-WORKERS 8 "2011-07-31" "" "misc"
.SH NAME
cloudtask-launch-workers \- Pre-allocate cloudtask workers
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.sp
cloudtask\-launch\-workers [ \-opts ] howmany ( path/to/list\-of\-ips | \- )
.SH DESCRIPTION
.sp
Launch new cloud workers and write list of addresses to a file.
.sp
cloudtask can launch and destroy cloud workers automatically when
needed, but it can also accept a list of pre\-allocated workers via the
\-\-workers option. This command launches workers and creates a list of
addresses which you can feed to cloudtask. This allows you to manage the
pool of workers for a task or series of tasks by hand, which may be
desirable for various reasons (e.g., launching workers takes time,
billing is performed at a 1\-hour resolution, etc.)
.SH ARGUMENTS
.sp
\fIhowmany\fP := number of workers to launch
.sp
\fIpath/to/list\-of\-ips\fP := file location to save IP addresses of launched
workers. If \(aq\-\(aq then print addresses to stdout.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-\-hub\-apikey
.
Hub APIKEY
.sp
Environment: HUB_APIKEY | CLOUDTASK_HUB_APIKEY
.TP
.BI \-\-backup\-id\fB= ID
.
TurnKey Backup ID to restore on launch
.TP
.B \-\-region
.
Region for instance launch (default: us\-east\-1)
.sp
Regions:
.sp
.nf
.ft C
us\-east\-1 (Virginia, USA)
us\-west\-1 (California, USA)
eu\-west\-1 (Ireland, Europe)
ap\-southeast\-1 (Singapore, Asia)
.ft P
.fi
.TP
.B \-\-size
.
Instance size (default: m1.small)
.sp
Sizes:
.sp
.nf
.ft C
t1.micro (1 CPU core, 613M RAM, no tmp storage)
m1.small (1 CPU core, 1.7G RAM, 160G tmp storage)
c1.medium (2 CPU cores, 1.7G RAM, 350G tmp storage)
.ft P
.fi
.TP
.B \-\-type
.
Instance type <s3|ebs> (default: s3)
.TP
.B \-\-label
.
Hub description label for all launched servers
.UNINDENT
.SH USAGE EXAMPLES
.sp
.nf
.ft C
# create workers.txt file with list of new worker addresses
cloudtask\-launch\-workers 10 workers.txt

# append list of worker addresses to a file
cloudtask\-launch\-workers 10 \- >> workers.txt
.ft P
.fi
.SH SEE ALSO
.sp
\fBcloudtask\fP (8), \fBcloudtask\-destroy\-workers\fP (8)
.SH AUTHOR
Liraz Siri <liraz@turnkeylinux.org>
.\" Generated by docutils manpage writer.
.\" 
.
